#ifndef _ILBDIEVT_
#define _ILBDIEVT_
/*******************************************************************************
* FILE NAME: ilbdievt.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class(es):                                              *
*     IListBoxDrawItemEvent - list-box owner-draw item event information class *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef  _IDIEVT_
  #include <idievt.hpp>
#endif

/*----------------------------------------------------------------------------*/
/* Align classes on four byte boundary.                                       */
/*----------------------------------------------------------------------------*/
#pragma pack(4)

// Forward declarations for other classes:
class IListBoxDrawItemHandler;

class IListBoxDrawItemEvent : public IDrawItemEvent {
typedef IDrawItemEvent Inherited;
/*******************************************************************************
* The IListboxDrawItemEvent class provides the owner-item event information    *
* for an owner-draw list-box.                                                  *
*******************************************************************************/
public:
/*------------------------ Constructor -----------------------------------------
| The only way to construct instances of this class is from an instance of     |
| the IEvent class.                                                            |
------------------------------------------------------------------------------*/
  IListBoxDrawItemEvent(IEvent& evt);

  virtual ~IListBoxDrawItemEvent();

/*-------------------------------- Testing -------------------------------------
| This function provides a means of testing if the list item about to be       |
| drawn is selected.  You would use this only if you intend to do your own     |
| drawing for the selected display attribute of a list item.  Most             |
| applications can use the system default behavior of inverting the bits in a  |
| selected item.  This function is only meant be be called from within an      |
| overridden version of IListBoxDrawItemHandler::draw().                       |
|   isSelected - Returns true if the list item is selected.                    |
------------------------------------------------------------------------------*/
Boolean
  isSelected() const;

private: /*------------------------ PRIVATE ----------------------------------*/
friend IListBoxDrawItemHandler;

Boolean
  isDrawItem() const,
  isSetHighlight() const,
  isRemoveHighlight() const;
};

/*----------------------------------------------------------------------------*/
/* Resume compiler default packing.                                           */
/*----------------------------------------------------------------------------*/
#pragma pack()

#endif /* _ILBDIEVT_ */
